package cn.com.ctop.toutiao.modules.tool.service;

import cn.com.ctop.common.module.entity.CtopOauthToken;
import com.alibaba.fastjson.JSONObject;

import java.util.Map;

public interface IByteDanceAudiencePackageService {

    Map<String,Object> getAudiencePackage(CtopOauthToken token,Long advertiserId, String landingType, String deliveryRange);

    Map<String,Object> createAudiencePackage(CtopOauthToken token, Long advertiserId, JSONObject requestBody);

    Map<String,Object> updateAudiencePackage(CtopOauthToken token, Long advertiserId,JSONObject requestBody);

    Map<String,Object> deleteAudiencePackage(CtopOauthToken token,Long advertiserId, String landingType, String deliveryRange);

    Map<String,Object> bindAdAudiencePackage(CtopOauthToken token,Long advertiserId, String landingType, String deliveryRange);

    Map<String,Object> unbindAdAudiencePackage(CtopOauthToken token,Long advertiserId, String landingType, String deliveryRange);

}
